Subject: PMP> RESEND: Design Requirements for Port MIB

From: "McDonald, Ira" <[email-masked]>
Date: Thu, 9 Jun 2005 08:56:57 -0700

[apparently some people didn't get this from the PWG reflector]

Hi,

A new draft should be available soon with these Design Requirements
for the Printer Port Monitor MIB, with help from Jerry Thrasher
(who chased me down to write them).

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: McDonald, Ira 
> Sent: Monday, June 06, 2005 1:28 PM
> To: [email-masked]'; McDonald, Ira
> Subject: Design Reqs for Port MIB
> 
> 
> Hi Jerry,                                           Monday (6 
> June 2005)
> 
> Below are the updates for the Printer Port Monitor MIB:
> 
> (a) Two new informative references for section 9;
> (b) One new sentence for section 1.2 'Background';
> (c) One new section 1.3 'Design Requirements for PPM MIB' with forward
>     references to section 2.4 'Use Models of PPM MIB' for 
> derived design
>     requirements;
> (d) Two typo corrections in section 2.3 'Structure of PPM MIB'.
> 
> Cheers,
> - Ira
> 
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221  Grand Marais, MI  49839
> phone: +1-906-494-2434
> email: [email-masked]
> --------------------------------------------------------------
> ----------
> 
> [add the following to beginning of section 9 'Informative References']
> 
> [MIB-GUIDE] Heard.
>     IETF Guidelines for Authors and Reviewers of MIB Documents,
>     work-in-progress, <draft-ietf-ops-mib-review-guidelines-xx.txt>.
> 
> [PORT-PROP] Fenelon, Pavicevic.
>     Microsoft Port MIB proposal, November 2004.
>     ftp://ftp.pwg.org/pub/pwg/BOFs/port/TCPMonMIBExtension.pdf (MIB)
>     ftp://ftp.pwg.org/pub/pwg/BOFs/port/TCPMonPWG.ppt (slides)
> 
> --------------------------------------------------------------
> ----------
> 
> [add the following to the end of the last paragraph of section 1.2]
> 
> The initial Microsoft Port MIB proposal is archived at [PORT-PROP].
> 
> --------------------------------------------------------------
> ----------
> 
> [add the following new section after section 1.2]
> 
> 1.3 Design Requirements for PPM MIB
> 
> (1) The PPM MIB design MUST follow all object naming and MIB 
> structuring
>     requirements defined in IETF SMIv2 [RFC2578].
> 
> (2) The PPM MIB design SHOULD follow all best practices 
> defined in IETF
>     Guidelines for Authors and Reviewers of MIB Documents [MIB-GUIDE].
> 
> (3) The PPM MIB design SHOULD include all of the content 
> defined in the
>     Microsoft Port MIB proposal (see section 1.2).
> 
> (4) The PPM MIB design MUST NOT require implementation of any version
>     of the IETF Host Resources [RFC1514] [RFC2790] or IETF Printer MIB
>     [RFC1759] [RFC3805] (for low cost of implementation).
> 
> (5) The PPM MIB design MUST support automatic device driver 
> installation
>     by operating systems (see section 1.2 and section 2.4).
> 
> (6) The PPM MIB design MUST support status monitoring of 
> Device entries
>     in the IETF Host Resources [RFC1514] [RFC2790] (see section 2.4).
> 
> (7) The PPM MIB design MUST support status monitoring of 
> General entries
>     in the IETF Printer MIB [RFC1759] [RFC3805] (see section 2.4).
> 
> (8) The PPM MIB design SHOULD support access to Channel entries in the
>     IETF Printer MIB [RFC1759] [RFC3805] (see section 2.4.3).
> 
> --------------------------------------------------------------
> ----------
> 
> [correct the following two typos in section 2.3 'Structure of 
> PPM MIB']
> 
> change:
> 
> The PPM MIB defines three mandatory object groups:
>                     ^^^^^
> 
>     General Group - two scalar objects
>                     ^^^
> 
> to:
> 
> The PPM MIB defines two mandatory object groups:
> 
>     General Group - three scalar objects
> 
> --------------------------------------------------------------
> ----------
>